/*
 * Print all page labels.
 *
 * Required software: pCOS interface 8 (PDFlib+PDI/PPS 9, TET 4.1, PLOP 5.0)
 * Required data: PDF document
 */
package com.pdflib.cookbook.pcos.pages;

import com.pdflib.IpCOS;
import com.pdflib.cookbook.pcos.pcos_cookbook_example;

public class page_labels extends pcos_cookbook_example {

    /* This is where the data files are. Adjust as necessary. */
    private final static String SEARCH_PATH = "../input";

    public void example_code(IpCOS p, int doc) throws Exception {

        System.out.println("File name: " + p.pcos_get_string(doc, "filename"));

        System.out.println("Page labels:");

        String objtype = p.pcos_get_string(doc, "type:/Root/PageLabels");
        if (objtype.equals("null")) {
            System.out.println("[no page labels available]");
        }
        else {
            int pagecount = (int) p.pcos_get_number(doc, "length:pages");

            for (int page = 0; page < pagecount; page++) {
                String label = p.pcos_get_string(doc, "pages[" + page
                    + "]/label");
                System.out.println("Page " + (page + 1) + ": '" + label + "'");
            }
        }
    }

    public page_labels(String[] argv, String readable_name, String search_path) {
        super(argv, readable_name, search_path);
    }

    public static void main(String argv[]) {
        page_labels example = new page_labels(argv, "Page Labels", SEARCH_PATH);
        example.execute();
    }
}
